<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Statistiky\Services\Analyzators\Validators;

/**
 * Class Validator
 *
 * @package Seka\Portal\Modul\Statistiky\Services\Analyzators\Validators
 */
abstract class Validator
{
    /**
     * @return array
     */
    abstract public function getTokens(): array;

    /*
     * Tell whether the data is correct or not
     *
     * @param $input
     * @return bool
     */
    abstract public function validate($input);

    /*
    * Return a string with the details of the error and/or the allowed values for the current field.
    *
    * @param string|array $input
    * @return string
    */
    abstract public function getErrorMsg($input): string;
}
